/*
 *   @(#) $Id: MutableContextPartitionConfiguration.java 226451 2005-07-30 00:54:58Z akarasulu $
 *
 *   Copyright 2004 The Apache Software Foundation
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 *
 */
package org.apache.ldap.server.configuration;

import java.util.Set;

import javax.naming.directory.Attributes;

import org.apache.ldap.server.partition.ContextPartition;

/**
 * A mutable version of {@link ContextPartitionConfiguration}.
 *
 * @author <a href="mailto:dev@directory.apache.org">Apache Directory Project</a>
 * @version $Rev: 226451 $, $Date: 2005-07-29 20:54:58 -0400 (Fri, 29 Jul 2005) $
 */
public class MutableContextPartitionConfiguration extends
        ContextPartitionConfiguration
{
    /**
     * Creates a new instance.
     */
    public MutableContextPartitionConfiguration()
    {
    }
    
    public void setName( String name )
    {
        super.setName( name );
    }

    public void setIndexedAttributes( Set indexedAttributes )
    {
        super.setIndexedAttributes( indexedAttributes );
    }

    public void setContextPartition( ContextPartition partition )
    {
        super.setContextPartition( partition );
    }

    public void setContextEntry( Attributes rootEntry )
    {
        super.setContextEntry( rootEntry );
    }

    public void setSuffix( String suffix )
    {
        super.setSuffix( suffix );
    }
}
